
<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Generate Report - Network Operation Manager</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	
	  <link rel="shortcut icon" href="{{ url_for('static', filename='pic/favicon.ico') }}">
    <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="{{ url_for('static', filename='bootstrap/fonts/icomoon/style.css') }}">
    <link rel="stylesheet" href="{{ url_for('static', filename='bootstrap/css/bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ url_for('static', filename='bootstrap/css/magnific-popup.css') }}">
    <link rel="stylesheet" href="{{ url_for('static', filename='bootstrap/css/jquery-ui.css') }}">
    <link rel="stylesheet" href="{{ url_for('static', filename='bootstrap/css/owl.carousel.min.css') }}">
    <link rel="stylesheet" href="{{ url_for('static', filename='bootstrap/css/owl.theme.default.min.css') }}">
    <link rel="stylesheet" href="{{ url_for('static', filename='bootstrap/css/bootstrap-datepicker.css') }}">
    <link rel="stylesheet" href="{{ url_for('static', filename='bootstrap/fonts/flaticon/font/flaticon.css') }}">
    <link rel="stylesheet" href="{{ url_for('static', filename='bootstrap/css/aos.css') }}">
    <link rel="stylesheet" href="{{ url_for('static', filename='bootstrap/css/rangeslider.css') }}">
    <link rel="stylesheet" href="{{ url_for('static', filename='bootstrap/css/style.css') }}">
    <link rel="stylesheet" href="{{ url_for('static', filename='bootstrap/css/select2.min.css') }}">

  </head>
  <body>
  <div class="site-wrap">
    <div class="site-mobile-menu">
      <div class="site-mobile-menu-header">
        <div class="site-mobile-menu-close mt-3">
          <span class="icon-close2 js-menu-toggle"></span>
        </div>
      </div>
      <div class="site-mobile-menu-body"></div>
    </div>
    
    <header class="site-navbar" role="banner">
      <div class="container">
        <div class="row align-items-center">
          <div class="col-11 col-xl-2">
            <h1 class="mb-0 site-logo"><a href="{{ url_for('home') }}" class="text-white h2 mb-0"><img src="{{ url_for('static', filename='pic/Gabung.png') }}" width="auto" height="50,22"></a></h1>
          </div>
          <div class="col-12 col-md-10 d-none d-xl-block">
            <nav class="site-navigation position-relative text-right" role="navigation">
              <ul class="site-menu js-clone-nav mr-auto d-none d-lg-block">
                <li class="active"><a href="{{ url_for('home') }}"><span>Home</span></a></li>

                <li class="has-children">
                  <a href="#"><span>Report</span></a>
                  <ul class="dropdown arrow-top">
                    <li><a href="{{ url_for('log_upload_page') }}">Upload Logs</a></li>
                    <li><a href="{{ url_for('report_verify_page') }}">Verify Logs</a></li>
                    <li><a href="{{ url_for('report_generate_page') }}">Generate Report</a></li>
                    <li><a href="{{ url_for('report_download') }}">Download Report</a></li>
                    <li><a href="{{ url_for('log_generate_page') }}">Generate Log Analysis</a></li>
                    <li><a href="{{ url_for('log_download') }}">Download Log Analysis</a></li>
                    <li><a href="{{ url_for('log_delete_page') }}">Delete Logs</a></li>
                  </ul>
                </li>
                <li class="has-children">
                  <a href="#"><span>Help</span></a>
                  <ul class="dropdown arrow-top">
                    <li><a href="#howto">How to Use</a></li>
                    <li><a href="{{ url_for('command_guide') }}">Command Reference Guide</a></li>
                    <li><a href="{{ url_for('support_device') }}">Support Device</a></li>
                    <li><a href="#developer"><span>Developer</span></a></li>
                  </ul>
                </li>
                <li><a href="{{ url_for('logout_page') }}"><span>Log Out</span></a></li>
              </ul>
            </nav>
          </div>
          <div class="d-inline-block d-xl-none ml-md-0 mr-auto py-3" style="position: relative; top: 3px;"><a href="#" class="site-menu-toggle js-menu-toggle text-white"><span class="icon-menu h3"></span></a></div>
        </div>
       </div>
	</header>
  </div>  
    
	<section class="home" id="home">
    <div class="site-blocks-cover overlay" style="background-image: url({{ url_for('static', filename='pic/22912-c.jpg') }});" data-aos="fade" data-stellar-background-ratio="0.5">
      <div class="container">
        <div class="row align-items-center justify-content-center text-center">
          <div class="col-md-10">
            <div class="row justify-content-center mb-4">
              <div class="col-md-10 text-center">
                {% block content %}
                
                {% endblock %}
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
	</section>  

  <section class="howto" id="howto">
    <div class="site-section bg-light">
      <div class="container">
        <div class="row justify-content-center mb-5">
          <div class="col-md-7 text-center border-primary">
            <h2 class="font-weight-light text-primary">How to Use</h2>
          </div>
        </div>
          <div>
            <div class="testimonial">
                <img src="{{ url_for('static', filename='pic/generate_report.png') }}" class="img-fluid" style="padding-bottom: 4rem;">
                <br>
                <a class="btn btn-primary" href="{{ url_for('static', filename='data/Panduan Penggunaan netoprmgr_gr v1_2_2 on Windows.pdf') }}" download>Download SOP</a>
            </div>
          </div>
      </div>
    </div>
  </section>

	<section class="developer" id="developer">
    <div class="site-section bg-light">
      <div class="container">
        <div class="row justify-content-center mb-5">
          <div class="col-md-7 text-center border-primary">
            <h2 class="font-weight-light text-primary">Developer</h2>
          </div>
        </div>
        <div class="slide-one-item home-slider owl-carousel">
          <div>
            <div class="testimonial">
              <figure class="mb-4">
                <img src="{{ url_for('static', filename='pic/Seski.jpg') }}" class="img-fluid mb-3">
                <p>Seski Ramadhan</p>
              </figure>
              <blockquote>
                <p>&ldquo;Leader Team Netoprmgr&rdquo;</p>
              </blockquote>
            </div>
          </div>
		  
          <div>
            <div class="testimonial">
              <figure class="mb-4">
                <img src="{{ url_for('static', filename='pic/Dedar.jpg') }}"  class="img-fluid mb-3">
                <p>Dedy Darisman</p>
              </figure>
              <blockquote>
                <p>&ldquo;Member Team Netoprmgr&rdquo;</p>
              </blockquote>
            </div>
          </div>

          <div>
            <div class="testimonial">
              <figure class="mb-4">
                <img src="{{ url_for('static', filename='pic/Luthfi.jpg') }}"  class="img-fluid mb-3">
                <p>Luthfi Anandra</p>
              </figure>
              <blockquote>
                <p>&ldquo;Member Team Netoprmgr&rdquo;</p>
              </blockquote>
            </div>
          </div>

        </div>
      </div>
    </div>
    </section>
	
    <footer class="site-footer">
            <p style="text-align:center">
            Copyright &copy;<script>document.write(new Date().getFullYear());</script> All rights reserved 
            </p>
            <p style="text-align:center">
              <img src="{{ url_for('static', filename='pic/Ludes.png') }} " width="100" height="auto">
            </p>
            <p style="text-align:center">
            Luthfi Anandra | Dedy Darisman | Seski Ramadhan 
            </p>
    </footer>
 

  <script src="{{ url_for('static', filename='bootstrap/js/jquery-3.3.1.min.js') }}"></script>
  <script src="{{ url_for('static', filename='bootstrap/js/jquery-migrate-3.0.1.min.js') }}"></script>
  <script src="{{ url_for('static', filename='bootstrap/js/jquery-ui.js') }}"></script>
  <script src="{{ url_for('static', filename='bootstrap/js/popper.min.js') }}"></script>
  <script src="{{ url_for('static', filename='bootstrap/js/bootstrap.min.js') }}"></script>
  <script src="{{ url_for('static', filename='bootstrap/js/owl.carousel.min.js') }}"></script>
  <script src="{{ url_for('static', filename='bootstrap/js/jquery.stellar.min.js') }}"></script>
  <script src="{{ url_for('static', filename='bootstrap/js/jquery.countdown.min.js') }}"></script>
  <script src="{{ url_for('static', filename='bootstrap/js/jquery.magnific-popup.min.js') }}"></script>
  <script src="{{ url_for('static', filename='bootstrap/js/bootstrap-datepicker.min.js') }}"></script>
  <script src="{{ url_for('static', filename='bootstrap/js/aos.js') }}"></script>
  <script src="{{ url_for('static', filename='bootstrap/js/rangeslider.min.js') }}"></script>
  <script src="{{ url_for('static', filename='bootstrap/js/jquery_autocomplete.js') }}"></script>
  <!-- <script src="{{ url_for('static', filename='bootstrap/js/jquery-3.5.1.min.js') }}"></script> -->
  <script src="{{ url_for('static', filename='bootstrap/js/select2.min.js') }}"></script>
  

  <script src="{{ url_for('static', filename='bootstrap/js/main.js') }}"></script>
  


  <!--Select2 Customer from JSON API-->
  <script type="text/javascript">
    $(document).ready(function() {
      // $('#select2').select2();
      $('#customer').select2({
          ajax: {
            url: 'https://mtcm.compnet.co.id/api/customer.php',
            dataType: 'json',
            data: function(params){
              return {
                name: params.term
              }
            },
            processResults: function(data, params){
              return {
                results: $.map(data.customer, function (item) {
                  return {id: item.name,text: item.name}
                })
              }
            },
            cache: true
          },
          templateResult: formatRepo,
          templateSelection: formatRepoSelection
        });
    });
  
    function formatRepo (repo) {
        if (repo.loading) {
          return repo.text;
        }
  
        var $container = $(
          "<div class='select2-result-repository clearfix'>" +
              "<div class='select2-result-repository__meta'>" +
                "<div class='select2-result-repository__title'></div>" +
              "</div>" +
          "</div>"
        );
  
        $container.find(".select2-result-repository__title").text(repo.text);
  
        return $container;
    }
  
    function formatRepoSelection (repo) {
        return repo.text;
    }
  </script>

  <!--Select2 Engineer Prepared from JSON API-->
  <script type="text/javascript">
    $(document).ready(function() {
      // $('#select2').select2();
      $('#prepared').select2({
          ajax: {
            url: 'https://mtcm.compnet.co.id/api/engineer.php',
            dataType: 'json',
            data: function(params){
              return {
                name: params.term
              }
            },
            processResults: function(data, params){
              return {
                results: $.map(data.engineer, function (item) {
                  return {id: item.engineer_name,text: item.engineer_name}
                })
              }
            },
            cache: true
          },
          templateResult: formatRepo,
          templateSelection: formatRepoSelection
        });
    });
  
    function formatRepo (repo) {
        if (repo.loading) {
          return repo.text;
        }
  
        var $container = $(
          "<div class='select2-result-repository clearfix'>" +
              "<div class='select2-result-repository__meta'>" +
                "<div class='select2-result-repository__title'></div>" +
              "</div>" +
          "</div>"
        );
  
        $container.find(".select2-result-repository__title").text(repo.text);
  
        return $container;
    }
  
    function formatRepoSelection (repo) {
        return repo.text;
    }
  </script>

  <!--Select2 Engineer Review from JSON API-->
  <script type="text/javascript">
    $(document).ready(function() {
      // $('#select2').select2();
      $('#review').select2({
          ajax: {
            url: 'https://mtcm.compnet.co.id/api/engineer.php',
            dataType: 'json',
            data: function(params){
              return {
                name: params.term
              }
            },
            processResults: function(data, params){
              return {
                results: $.map(data.engineer, function (item) {
                  return {id: item.engineer_name,text: item.engineer_name}
                })
              }
            },
            cache: true
          },
          templateResult: formatRepo,
          templateSelection: formatRepoSelection
        });
    });
  
    function formatRepo (repo) {
        if (repo.loading) {
          return repo.text;
        }
  
        var $container = $(
          "<div class='select2-result-repository clearfix'>" +
              "<div class='select2-result-repository__meta'>" +
                "<div class='select2-result-repository__title'></div>" +
              "</div>" +
          "</div>"
        );
  
        $container.find(".select2-result-repository__title").text(repo.text);
  
        return $container;
    }
  
    function formatRepoSelection (repo) {
        return repo.text;
    }
  </script>

  </body>
</html>